EDIT - feature request #8248

Implement OWL import
04/24/2019 12:14 PM - Patrick Plitzner

Status: In Progress Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 50%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

Associated revisions

Revision d1ca5c99 - 04/24/2019 12:16 PM - Patrick Plitzner
ref #8248 Implement OWL import

e add framework classes
Revision 01800302 - 04/25/2019 08:38 AM - Patrick Plitzner
ref #8248 Implement OWL import

e add more properties to export
e create complete FeatureTree during import

Revision dd4e5f4b - 04/25/2019 09:10 AM - Patrick Plitzner
ref #8248 Implement OWL import test

Revision 2336c424 - 04/25/2019 02:17 PM - Patrick Plitzner
ref #8248 Add service method to find terms by URI

Revision 898b8fa6 - 04/25/2019 02:18 PM - Patrick Plitzner
ref #8248 Add URI to OWL export

Revision 95b8352b - 04/25/2019 02:21 PM - Patrick Plitzner
ref #8248 Enhance OWL import

Add term URI to import

add sources to imported terms

create term vocabulary for imported terms

check for already existing terms

save terms, feature nodes and feature trees to DB
update OWL import test with added properties

Revision e8e9ccfa - 04/26/2019 09:59 AM - Patrick Plitzner
ref #8248 Split import wizard page

Revision 49b1f2d4 - 04/26/2019 12:02 PM - Patrick Plitzner
ref #8248 Ready OWL import for taxeditor usage

Revision aef8731c - 04/26/2019 12:10 PM - Patrick Plitzner
ref #8248 Implement OWL import wizard

Revision ae7405db - 04/26/2019 04:45 PM - Patrick Plitzner

ref #8248 Add constructor for term with a set of representations
Revision 6809dc22 - 04/26/2019 04:47 PM - Patrick Plitzner
ref #8248 Add term representations to OWL import and export and test

Revision 6393aae0 - 05/03/2019 11:39 AM - Patrick Plitzner
ref #8248 Make OWL import experimental

Revision 2e0a90f1 - 05/26/2019 03:30 PM - Patrick Plitzner
ref #8248 Move rdf model to import state

Revision ¢3a607ce - 05/26/2019 03:48 PM - Patrick Plitzner

ref #8248, #6774 Extract model creation form import and export to util

Revision 6cbd3165 - 05/27/2019 09:11 AM - Patrick Plitzner
ref #8248 Extract CDM entity creation to util

Revision c20ddc4e - 05/27/2019 09:58 AM - Patrick Plitzner

ref #8248 Implement termvocabulary import

Revision e19057f2 - 05/27/2019 02:00 PM - Patrick Plitzner
ref #8248, #6774 Fix bean names

Revision d48d26c0 - 05/28/2019 05:50 PM - Patrick Plitzner
ref #8248 Set UUID during import

Revision e80ee826 - 05/28/2019 05:51 PM - Patrick Plitzner
ref #8248 Adapt test to import

Revision f8ea1d2f - 05/29/2019 10:37 AM - Patrick Plitzner
ref #8248 Fix property string access

Revision d3276246 - 05/29/2019 11:51 AM - Patrick Plitzner

ref #8248 Add term vocbulary import test + code cleanup

Revision de051e6a - 06/13/2019 09:48 AM - Patrick Plitzner
ref #8248, #6774 Add symbol, symbol2 and idInVocabulary to import/export

e change rdf identifier to lowercase

Revision 555a414b - 06/13/2019 01:15 PM - Patrick Plitzner
ref #8248, #6774 Add plural to import/export

e add test for plural and abbrevLabel

Revision 3bb112a0 - 06/14/2019 11:53 AM - Patrick Plitzner

ref #8248 Only add term to vocabulary if term is newly created

Revision bf3145f7 - 06/14/2019 11:58 AM - Patrick Plitzner

ref #8248 Only add term to vocabulary if term is newly created

Revision d703fe8b - 06/14/2019 05:55 PM - Patrick Plitzner
ref #8248, #6774 Add media to import/export

Revision e54a5a27 - 06/17/2019 11:47 AM - Patrick Plitzner
ref #8248, #6774 Add progress monitor to import/export

Revision 2ac55f2d - 06/21/2019 02:18 PM - Patrick Plitzner
ref #8248, #6774 Improve import/export performance
Revision 82e317b8 - 06/21/2019 05:59 PM - Patrick Plitzner
ref #8248, #6774 Add sources to import/export

Revision 4c9c08a9 - 06/21/2019 06:02 PM - Patrick Plitzner

ref #8248 Set import source citation in import wizard

Revision 979d74e5 - 06/25/2019 10:24 AM - Patrick Plitzner
ref #8248, #6774 Add character to export

e adapt test

Revision 833731f1 - 06/25/2019 01:39 PM - Patrick Plitzner
ref #8248 Add feature to export (partially)

Revision c1f34da9 - 07/02/2019 02:07 PM - Patrick Plitzner
ref #8248 Add character to export (partially)

Revision 81198ab4 - 07/04/2019 01:29 PM - Patrick Plitzner
ref #8248 Fix possible NPE

Revision 4059e0ea - 07/04/2019 01:29 PM - Patrick Plitzner
ref #8248, #6774 Fix order of term import

e add top level term property to import/export

Revision d4e4df3f - 07/04/2019 02:18 PM - Patrick Plitzner

ref #8248 Check for existing media and references

Revision 84673358 - 07/04/2019 05:40 PM - Patrick Plitzner
ref #8248, #6774 Adapt tests

Revision d1efd1c1 - 07/05/2019 11:09 AM - Patrick Plitzner
ref #8248, #6774 Add top level term evaluation to test

Revision ecc03050 - 08/28/2019 02:53 PM - Patrick Plitzner
ref #8248 Import applicability feature states

Revision 076d19ba - 08/28/2019 04:46 PM - Patrick Plitzner

ref #8248 Fix import of character structure and property

Revision 576de855 - 08/29/2019 09:10 AM - Patrick Plitzner

ref #8248 Adapt to new term node service

Revision c202fe96 - 08/29/2019 09:11 AM - Patrick Plitzner

ref #8248 Check existing feature/state of FeatureState during import

Revision 22a5aeff - 08/29/2019 04:06 PM - Patrick Plitzner

ref #8248 Minor fixes for session saving

Revision 56dbf016 - 09/06/2019 09:44 AM - Patrick Plitzner
ref #8248 Fix lazy loading problems for OWL import

Revision edec16d2 - 09/06/2019 01:13 PM - Patrick Plitzner
ref #8248 Create State when termType is STATE

History

#1 - 05/03/2019 10:29 AM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

#2 - 05/03/2019 11:40 AM - Patrick Plitzner

- Target version changed from Release 5.7 to Release 5.8

Moving to 5.8 because still experimental

#3 - 05/15/2019 10:42 AM - Patrick Plitzner

- Category changed from taxeditor to cdmlib

#4 - 05/15/2019 10:42 AM - Patrick Plitzner

- Status changed from Resolved to In Progress

#5 - 05/15/2019 10:43 AM - Patrick Plitzner
- Priority changed from New to Highest

#6 - 07/15/2019 03:24 PM - Patrick Plitzner

- Target version changed from Release 5.8 to Release 5.10

#7 - 07/15/2019 03:25 PM - Patrick Plitzner

Move to next milestone because this is still considered experimental

#8 - 09/18/2019 02:25 PM - Patrick Plitzner

- Target version changed from Release 5.10 to Release 5.11

#9 - 11/07/2019 10:06 AM - Patrick Plitzner

- Target version changed from Release 5.11 to Release 5.12

Move to next milestone because this is still considered experimental

#10 - 12/09/2019 06:17 PM - Patrick Plitzner

- Target version changed from Release 5.12 to 287

#11 - 12/17/2019 02:18 PM - Andreas Miiller

- Target version changed from 287 to Release 5.12

#12 - 12/17/2019 04:03 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Andreas Miiller

#13 - 01/16/2020 12:53 PM - Andreas Miiller

- Target version changed from Release 5.12 to Release 5.13

#14 - 02/26/2020 11:35 AM - Andreas Miiller

- Target version changed from Release 5.13 to Release 5.15

#15 - 06/23/2020 01:47 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#16 - 12/03/2020 05:59 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.19

#17 - 01/27/2021 03:47 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#18 - 03/10/2021 02:35 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22
#19 - 04/16/2021 10:18 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.25

#20 - 07/07/2021 03:26 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45

#21 - 09/17/2021 11:28 PM - Andreas Miiller
- Priority changed from Highest to Priority14
